net.corda.core.crypto

## Class SecureHash.SHA256

- net.corda.core.serialization.OpaqueBytes
- - net.corda.core.crypto.SecureHash
  - - net.corda.core.crypto.SecureHash.SHA256

- Enclosing class:
    SecureHash

      public static class SecureHash.SHA256
      extends SecureHash

  SHA-256 is part of the SHA-2 hash function family. Generated hash is fixed size, 256-bits (32-bytes)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.crypto.SecureHash

      `SecureHash.Companion, SecureHash.SHA256`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.crypto.SecureHash

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SHA256(byte[] bytes)` SHA-256 is part of the SHA-2 hash function family. Generated hash is fixed size, 256-bits (32-bytes)

  - ### Method Summary

    - ### Methods inherited from class net.corda.core.crypto.SecureHash

      `hashConcat, parse, prefixChars, randomSHA256, sha256, sha256, sha256Twice, toString`

    - ### Methods inherited from class net.corda.core.serialization.OpaqueBytes

      `equals, getBytes, getSize, hashCode, open, toString`

- - ### Constructor Detail

    - #### SHA256

          public SHA256(byte[] bytes)

      SHA-256 is part of the SHA-2 hash function family. Generated hash is fixed size, 256-bits (32-bytes)